/**
 *
 */
package de.intevation.gnv.transition.describedata;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class DefaultMinMaxDescribeData implements MinMaxDescribeData {

    /**
     *
     */
    private static final long serialVersionUID = -2917176219029052295L;

    private Object minValue = null;

    private Object maxValue = null;

    private String minName = null;

    private String maxName = null;

    /**
     * Constructor
     */
    public DefaultMinMaxDescribeData(String minName, String maxName,
                                     Object minValue, Object maxValue) {
        super();
        this.minName = minName;
        this.maxName = maxName;
        this.minValue = minValue;
        this.maxValue = maxValue;
    }

    /**
     * @see de.intevation.gnv.transition.describedata.MinMaxDescribeData#getMaxValue()
     */
    public Object getMaxValue() {
        return this.maxValue;
    }

    /**
     * @see de.intevation.gnv.transition.describedata.MinMaxDescribeData#getMinValue()
     */
    public Object getMinValue() {
        return this.minValue;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "MIN: " + this.minValue.toString() + " ; MAX: "
               + this.maxValue.toString();
    }

    /**
     * @see de.intevation.gnv.transition.describedata.MinMaxDescribeData#getName()
     */
    public String getMinName() {
        return this.minName;
    }

    /**
     * @see de.intevation.gnv.transition.describedata.MinMaxDescribeData#getMaxName()
     */
    public String getMaxName() {
        return this.maxName;
    }

    /**
     * @see de.intevation.gnv.transition.describedata.MinMaxDescribeData#setMaxValue(java.lang.Object)
     */
    public void setMaxValue(Object maxValue) {
        this.maxValue = maxValue;
    }

    /**
     * @see de.intevation.gnv.transition.describedata.MinMaxDescribeData#setMinValue(java.lang.Object)
     */
    public void setMinValue(Object minValue) {
        this.minValue = minValue;
    }

}
